Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVideoSource Class Reference

`#include <vtkVideoSource.h>`

Inheritance diagram for vtkVideoSource:

[legend]
Collaboration diagram for vtkVideoSource:

[legend]
List of all members.

## Detailed Description

Superclass of video input devices for VTK.

Date:
  2002/09/11 17:46:32

Revision:
  1.25

vtkVideoSource is a superclass for video input interfaces for VTK. The goal is to provide an interface which is very similar to the interface of a VCR, where the 'tape' is an internal frame buffer capable of holding a preset number of video frames. Specialized versions of this class record input from various video input sources. This base class records input from a noise source.

Warning:
  You must call the ReleaseSystemResources() method before the application exits. Otherwise the application might hang while trying to exit.

See also:
  vtkWin32VideoSource vtkMILVideoSource

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (90%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkVideoSource.h)`
  - .`cxx` (`/Hybrid/vtkVideoSource.cxx)`

Definition at line 55 of file vtkVideoSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Record ()
virtual void | Play ()
virtual void | Stop ()
virtual void | Rewind ()
virtual void | FastForward ()
virtual void | Seek (int n)
virtual void | Grab ()
virtual double | GetFrameTimeStamp (int frame)
double | GetFrameTimeStamp ()
virtual void | ReleaseSystemResources ()
virtual void | InternalGrab ()
virtual int | GetRecording ()
virtual int | GetPlaying ()
virtual void | SetFrameSize (int x, int y, int z)
virtual void | SetFrameSize (int dim[3])
virtual int * | GetFrameSize ()
virtual void | GetFrameSize (int &, int &, int &)
virtual void | GetFrameSize (int[3])
virtual void | SetFrameRate (float rate)
virtual float | GetFrameRate ()
virtual void | SetOutputFormat (int format)
void | SetOutputFormatToLuminance ()
void | SetOutputFormatToRGB ()
void | SetOutputFormatToRGBA ()
virtual int | GetOutputFormat ()
virtual void | SetFrameBufferSize (int FrameBufferSize)
virtual int | GetFrameBufferSize ()
virtual void | SetNumberOfOutputFrames (int)
virtual int | GetNumberOfOutputFrames ()
virtual void | AutoAdvanceOn ()
virtual void | AutoAdvanceOff ()
virtual void | SetAutoAdvance (int)
virtual int | GetAutoAdvance ()
virtual void | SetClipRegion (int r[6])
virtual void | SetClipRegion (int x0, int x1, int y0, int y1, int z0, int z1)
virtual int * | GetClipRegion ()
virtual void | GetClipRegion (int &, int &, int &, int &, int &, int &)
virtual void | GetClipRegion (int[6])
virtual void | SetOutputWholeExtent (int, int, int, int, int, int)
virtual void | SetOutputWholeExtent (int[6])
virtual int * | GetOutputWholeExtent ()
virtual void | GetOutputWholeExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetOutputWholeExtent (int[6])
virtual void | SetDataSpacing (float, float, float)
virtual void | SetDataSpacing (float[3])
virtual float * | GetDataSpacing ()
virtual void | GetDataSpacing (float &, float &, float &)
virtual void | GetDataSpacing (float[3])
virtual void | SetDataOrigin (float, float, float)
virtual void | SetDataOrigin (float[3])
virtual float * | GetDataOrigin ()
virtual void | GetDataOrigin (float &, float &, float &)
virtual void | GetDataOrigin (float[3])
virtual void | SetOpacity (float)
virtual float | GetOpacity ()
virtual int | GetFrameCount ()
virtual void | SetFrameCount (int)
virtual int | GetFrameIndex ()
virtual void | Initialize ()
virtual int | GetInitialized ()
void | SetStartTimeStamp (double t)
double | GetStartTimeStamp ()
## Static Public Methods
vtkVideoSource * | New ()
int | IsTypeOf (const char *type)
vtkVideoSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVideoSource ()
| ~vtkVideoSource ()
void | ExecuteInformation ()
virtual void | UpdateFrameBuffer ()
virtual void | AdvanceFrameBuffer (int n)
virtual void | ExecuteData (vtkDataObject *data)
virtual void | UnpackRasterLine (char *outPtr, char *rowPtr, int start, int count)
## Protected Attributes
int | Initialized
int | FrameSize [3]
int | ClipRegion [6]
int | OutputWholeExtent [6]
float | DataSpacing [3]
float | DataOrigin [3]
int | OutputFormat
int | NumberOfScalarComponents
int | FrameOutputExtent [6]
int | LastNumberOfScalarComponents
int | LastOutputExtent [6]
int | Recording
int | Playing
float | FrameRate
int | FrameCount
int | FrameIndex
double | StartTimeStamp
double | FrameTimeStamp
int | AutoAdvance
int | NumberOfOutputFrames
float | Opacity
int | FlipFrames
int | OutputNeedsInitialization
vtkMultiThreader * | PlayerThreader
int | PlayerThreadId
vtkCriticalSection * | FrameBufferMutex
int | FrameBufferBitsPerPixel
int | FrameBufferRowAlignment
int | FrameBufferExtent [6]
int | FrameBufferSize
int | FrameBufferIndex
void ** | FrameBuffer
double * | FrameBufferTimeStamps

## Member Typedef Documentation

typedef vtkImageSource vtkVideoSource::Superclass

| Reimplemented from vtkImageSource. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource. Definition at line 59 of file vtkVideoSource.h.

## Constructor & Destructor Documentation

vtkVideoSource::vtkVideoSource | ( |  | ) | `[protected]`

vtkVideoSource::~vtkVideoSource | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVideoSource* vtkVideoSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual const char* vtkVideoSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

int vtkVideoSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual int vtkVideoSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

vtkVideoSource* vtkVideoSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

void vtkVideoSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual void vtkVideoSource::Record | ( |  | ) | `[virtual]`

| Record incoming video at the specified FrameRate. The recording continues indefinitely until Stop() is called. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual void vtkVideoSource::Play | ( |  | ) | `[virtual]`

| Play through the 'tape' sequentially at the specified frame rate. If you have just finished Recoding, you should call Rewind() first. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual void vtkVideoSource::Stop | ( |  | ) | `[virtual]`

| Stop recording or playing. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual void vtkVideoSource::Rewind | ( |  | ) | `[virtual]`

| Rewind to the frame with the earliest timestamp. Record operations will start on the following frame, therefore if you want to re-record over this frame you must call Seek(-1) before calling Grab() or Record().

virtual void vtkVideoSource::FastForward | ( |  | ) | `[virtual]`

| FastForward to the last frame that was recorded (i.e. to the frame that has the most recent timestamp).

virtual void vtkVideoSource::Seek | ( | int | n | ) | `[virtual]`

| Seek forwards or backwards by the specified number of frames (positive is forward, negative is backward).

virtual void vtkVideoSource::Grab | ( |  | ) | `[virtual]`

| Grab a single video frame. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual int vtkVideoSource::GetRecording | ( |  | ) | `[virtual]`

| Are we in record mode? (record mode and play mode are mutually exclusive).

virtual int vtkVideoSource::GetPlaying | ( |  | ) | `[virtual]`

| Are we in play mode? (record mode and play mode are mutually exclusive).

virtual void vtkVideoSource::SetFrameSize | ( | int | x,
|  | int | y,
|  | int | z
| ) | `[virtual]`

| Set the full-frame size. This must be an allowed size for the device, the device may either refuse a request for an illegal frame size or automatically choose a new frame size. The default is usually 320x240x1, but can be device specific. The 'depth' should always be 1 (unless you have a device that can handle 3D acquisition). Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual void vtkVideoSource::SetFrameSize | ( | int | dim[3] | ) | `[inline, virtual]`

| Set the full-frame size. This must be an allowed size for the device, the device may either refuse a request for an illegal frame size or automatically choose a new frame size. The default is usually 320x240x1, but can be device specific. The 'depth' should always be 1 (unless you have a device that can handle 3D acquisition). Definition at line 109 of file vtkVideoSource.h.

virtual int* vtkVideoSource::GetFrameSize | ( |  | ) | `[virtual]`

| Set the full-frame size. This must be an allowed size for the device, the device may either refuse a request for an illegal frame size or automatically choose a new frame size. The default is usually 320x240x1, but can be device specific. The 'depth' should always be 1 (unless you have a device that can handle 3D acquisition).

virtual void vtkVideoSource::GetFrameSize | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set the full-frame size. This must be an allowed size for the device, the device may either refuse a request for an illegal frame size or automatically choose a new frame size. The default is usually 320x240x1, but can be device specific. The 'depth' should always be 1 (unless you have a device that can handle 3D acquisition).

virtual void vtkVideoSource::GetFrameSize | ( | int | [3] | ) | `[virtual]`

| Set the full-frame size. This must be an allowed size for the device, the device may either refuse a request for an illegal frame size or automatically choose a new frame size. The default is usually 320x240x1, but can be device specific. The 'depth' should always be 1 (unless you have a device that can handle 3D acquisition).

virtual void vtkVideoSource::SetFrameRate | ( | float | rate | ) | `[virtual]`

| Request a particular frame rate (default 30 frames per second). Reimplemented in vtkWin32VideoSource.

virtual float vtkVideoSource::GetFrameRate | ( |  | ) | `[virtual]`

| Request a particular frame rate (default 30 frames per second).

virtual void vtkVideoSource::SetOutputFormat | ( | int | format | ) | `[virtual]`

| Set the output format. This must be appropriate for device, usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

void vtkVideoSource::SetOutputFormatToLuminance | ( |  | ) | `[inline]`

| Set the output format. This must be appropriate for device, usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported. Definition at line 124 of file vtkVideoSource.h. References VTK_LUMINANCE.

void vtkVideoSource::SetOutputFormatToRGB | ( |  | ) | `[inline]`

| Set the output format. This must be appropriate for device, usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported. Definition at line 125 of file vtkVideoSource.h. References VTK_RGB.

void vtkVideoSource::SetOutputFormatToRGBA | ( |  | ) | `[inline]`

| Set the output format. This must be appropriate for device, usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported. Definition at line 126 of file vtkVideoSource.h. References VTK_RGBA.

virtual int vtkVideoSource::GetOutputFormat | ( |  | ) | `[virtual]`

| Set the output format. This must be appropriate for device, usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.

virtual void vtkVideoSource::SetFrameBufferSize | ( | int | FrameBufferSize | ) | `[virtual]`

| Set size of the frame buffer, i.e. the number of frames that the 'tape' can store.

virtual int vtkVideoSource::GetFrameBufferSize | ( |  | ) | `[virtual]`

| Set size of the frame buffer, i.e. the number of frames that the 'tape' can store.

virtual void vtkVideoSource::SetNumberOfOutputFrames | ( | int |  | ) | `[virtual]`

| Set the number of frames to copy to the output on each execute. The frames will be concatenated along the Z dimension, with the most recent frame first. Default: 1

virtual int vtkVideoSource::GetNumberOfOutputFrames | ( |  | ) | `[virtual]`

| Set the number of frames to copy to the output on each execute. The frames will be concatenated along the Z dimension, with the most recent frame first. Default: 1

virtual void vtkVideoSource::AutoAdvanceOn | ( |  | ) | `[virtual]`

| Set whether to automatically advance the buffer before each grab. Default: on

virtual void vtkVideoSource::AutoAdvanceOff | ( |  | ) | `[virtual]`

| Set whether to automatically advance the buffer before each grab. Default: on

virtual void vtkVideoSource::SetAutoAdvance | ( | int |  | ) | `[virtual]`

| Set whether to automatically advance the buffer before each grab. Default: on

virtual int vtkVideoSource::GetAutoAdvance | ( |  | ) | `[virtual]`

| Set whether to automatically advance the buffer before each grab. Default: on

virtual void vtkVideoSource::SetClipRegion | ( | int | r[6] | ) | `[inline, virtual]`

| Set the clip rectangle for the frames. The video will be clipped before it is copied into the framebuffer. Changing the ClipRegion will destroy the current contents of the framebuffer. The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX). Definition at line 158 of file vtkVideoSource.h.

virtual void vtkVideoSource::SetClipRegion | ( | int | x0,
|  | int | x1,
|  | int | y0,
|  | int | y1,
|  | int | z0,
|  | int | z1
| ) | `[virtual]`

| Set the clip rectangle for the frames. The video will be clipped before it is copied into the framebuffer. Changing the ClipRegion will destroy the current contents of the framebuffer. The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).

virtual int* vtkVideoSource::GetClipRegion | ( |  | ) | `[virtual]`

| Set the clip rectangle for the frames. The video will be clipped before it is copied into the framebuffer. Changing the ClipRegion will destroy the current contents of the framebuffer. The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).

virtual void vtkVideoSource::GetClipRegion | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set the clip rectangle for the frames. The video will be clipped before it is copied into the framebuffer. Changing the ClipRegion will destroy the current contents of the framebuffer. The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).

virtual void vtkVideoSource::GetClipRegion | ( | int | [6] | ) | `[virtual]`

| Set the clip rectangle for the frames. The video will be clipped before it is copied into the framebuffer. Changing the ClipRegion will destroy the current contents of the framebuffer. The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).

virtual void vtkVideoSource::SetOutputWholeExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Get/Set the WholeExtent of the output. This can be used to either clip or pad the video frame. This clipping/padding is done when the frame is copied to the output, and does not change the contents of the framebuffer. This is useful e.g. for expanding the output size to a power of two for texture mapping. The default is (0,-1,0,-1,0,-1) which causes the entire frame to be copied to the output.

virtual void vtkVideoSource::SetOutputWholeExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the WholeExtent of the output. This can be used to either clip or pad the video frame. This clipping/padding is done when the frame is copied to the output, and does not change the contents of the framebuffer. This is useful e.g. for expanding the output size to a power of two for texture mapping. The default is (0,-1,0,-1,0,-1) which causes the entire frame to be copied to the output.

virtual int* vtkVideoSource::GetOutputWholeExtent | ( |  | ) | `[virtual]`

| Get/Set the WholeExtent of the output. This can be used to either clip or pad the video frame. This clipping/padding is done when the frame is copied to the output, and does not change the contents of the framebuffer. This is useful e.g. for expanding the output size to a power of two for texture mapping. The default is (0,-1,0,-1,0,-1) which causes the entire frame to be copied to the output.

virtual void vtkVideoSource::GetOutputWholeExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Get/Set the WholeExtent of the output. This can be used to either clip or pad the video frame. This clipping/padding is done when the frame is copied to the output, and does not change the contents of the framebuffer. This is useful e.g. for expanding the output size to a power of two for texture mapping. The default is (0,-1,0,-1,0,-1) which causes the entire frame to be copied to the output.

virtual void vtkVideoSource::GetOutputWholeExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the WholeExtent of the output. This can be used to either clip or pad the video frame. This clipping/padding is done when the frame is copied to the output, and does not change the contents of the framebuffer. This is useful e.g. for expanding the output size to a power of two for texture mapping. The default is (0,-1,0,-1,0,-1) which causes the entire frame to be copied to the output.

virtual void vtkVideoSource::SetDataSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the pixel spacing. Default: (1.0,1.0,1.0)

virtual void vtkVideoSource::SetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Set/Get the pixel spacing. Default: (1.0,1.0,1.0)

virtual float* vtkVideoSource::GetDataSpacing | ( |  | ) | `[virtual]`

| Set/Get the pixel spacing. Default: (1.0,1.0,1.0)

virtual void vtkVideoSource::GetDataSpacing | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the pixel spacing. Default: (1.0,1.0,1.0)

virtual void vtkVideoSource::GetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Set/Get the pixel spacing. Default: (1.0,1.0,1.0)

virtual void vtkVideoSource::SetDataOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the coordinates of the lower, left corner of the frame. Default: (0.0,0.0,0.0)

virtual void vtkVideoSource::SetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the coordinates of the lower, left corner of the frame. Default: (0.0,0.0,0.0)

virtual float* vtkVideoSource::GetDataOrigin | ( |  | ) | `[virtual]`

| Set/Get the coordinates of the lower, left corner of the frame. Default: (0.0,0.0,0.0)

virtual void vtkVideoSource::GetDataOrigin | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the coordinates of the lower, left corner of the frame. Default: (0.0,0.0,0.0)

virtual void vtkVideoSource::GetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the coordinates of the lower, left corner of the frame. Default: (0.0,0.0,0.0)

virtual void vtkVideoSource::SetOpacity | ( | float |  | ) | `[virtual]`

| For RGBA output only (4 scalar components), set the opacity. This will not modify the existing contents of the framebuffer, only subsequently grabbed frames.

virtual float vtkVideoSource::GetOpacity | ( |  | ) | `[virtual]`

| For RGBA output only (4 scalar components), set the opacity. This will not modify the existing contents of the framebuffer, only subsequently grabbed frames.

virtual int vtkVideoSource::GetFrameCount | ( |  | ) | `[virtual]`

| This value is incremented each time a frame is grabbed. reset it to zero (or any other value) at any time.

virtual void vtkVideoSource::SetFrameCount | ( | int |  | ) | `[virtual]`

| This value is incremented each time a frame is grabbed. reset it to zero (or any other value) at any time.

virtual int vtkVideoSource::GetFrameIndex | ( |  | ) | `[virtual]`

| Get the frame index relative to the 'beginning of the tape'. This value wraps back to zero if it increases past the FrameBufferSize.

virtual double vtkVideoSource::GetFrameTimeStamp | ( | int | frame | ) | `[virtual]`

| Get a time stamp in seconds (resolution of milliseconds) for a video frame. Time began on Jan 1, 1970. You can specify a number (negative or positive) to specify the position of the video frame relative to the current frame.

double vtkVideoSource::GetFrameTimeStamp | ( |  | ) | `[inline]`

| Get a time stamp in seconds (resolution of milliseconds) for the Output. Time began on Jan 1, 1970. This timestamp is only valid after the Output has been Updated. Definition at line 219 of file vtkVideoSource.h.

virtual void vtkVideoSource::Initialize | ( |  | ) | `[virtual]`

| Initialize the hardware. This is called automatically on the first Update or Grab. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual int vtkVideoSource::GetInitialized | ( |  | ) | `[inline, virtual]`

| Initialize the hardware. This is called automatically on the first Update or Grab. Definition at line 225 of file vtkVideoSource.h.

virtual void vtkVideoSource::ReleaseSystemResources | ( |  | ) | `[virtual]`

| Release the video driver. This method must be called before application exit, or else the application might hang during exit. Reimplemented in vtkMILVideoSource, and vtkWin32VideoSource.

virtual void vtkVideoSource::InternalGrab | ( |  | ) | `[virtual]`

| The internal function which actually does the grab. You will definitely want to override this if you develop a vtkVideoSource subclass. Reimplemented in vtkMILVideoSource.

void vtkVideoSource::SetStartTimeStamp | ( | double | t | ) | `[inline]`

| And internal variable which marks the beginning of a Record session. These methods are for internal use only. Definition at line 240 of file vtkVideoSource.h.

double vtkVideoSource::GetStartTimeStamp | ( |  | ) | `[inline]`

| And internal variable which marks the beginning of a Record session. These methods are for internal use only. Definition at line 241 of file vtkVideoSource.h.

void vtkVideoSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkVideoSource::UpdateFrameBuffer | ( |  | ) | `[protected, virtual]`

| These methods can be overridden in subclasses

virtual void vtkVideoSource::AdvanceFrameBuffer | ( | int | n | ) | `[protected, virtual]`

| These methods can be overridden in subclasses

virtual void vtkVideoSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

| These methods can be overridden in subclasses

virtual void vtkVideoSource::UnpackRasterLine | ( | char * | outPtr,
|  | char * | rowPtr,
|  | int | start,
|  | int | count
| ) | `[protected, virtual]`

| These methods can be overridden in subclasses Reimplemented in vtkWin32VideoSource.

## Member Data Documentation

int vtkVideoSource::Initialized`[protected]`

| Definition at line 249 of file vtkVideoSource.h.

int vtkVideoSource::FrameSize[3]`[protected]`

| Definition at line 251 of file vtkVideoSource.h.

int vtkVideoSource::ClipRegion[6]`[protected]`

| Definition at line 252 of file vtkVideoSource.h.

int vtkVideoSource::OutputWholeExtent[6]`[protected]`

| Definition at line 253 of file vtkVideoSource.h.

float vtkVideoSource::DataSpacing[3]`[protected]`

| Definition at line 254 of file vtkVideoSource.h.

float vtkVideoSource::DataOrigin[3]`[protected]`

| Definition at line 255 of file vtkVideoSource.h.

int vtkVideoSource::OutputFormat`[protected]`

| Definition at line 256 of file vtkVideoSource.h.

int vtkVideoSource::NumberOfScalarComponents`[protected]`

| Definition at line 258 of file vtkVideoSource.h.

int vtkVideoSource::FrameOutputExtent[6]`[protected]`

| Definition at line 261 of file vtkVideoSource.h.

int vtkVideoSource::LastNumberOfScalarComponents`[protected]`

| Definition at line 265 of file vtkVideoSource.h.

int vtkVideoSource::LastOutputExtent[6]`[protected]`

| Definition at line 266 of file vtkVideoSource.h.

int vtkVideoSource::Recording`[protected]`

| Definition at line 268 of file vtkVideoSource.h.

int vtkVideoSource::Playing`[protected]`

| Definition at line 269 of file vtkVideoSource.h.

float vtkVideoSource::FrameRate`[protected]`

| Definition at line 270 of file vtkVideoSource.h.

int vtkVideoSource::FrameCount`[protected]`

| Definition at line 271 of file vtkVideoSource.h.

int vtkVideoSource::FrameIndex`[protected]`

| Definition at line 272 of file vtkVideoSource.h.

double vtkVideoSource::StartTimeStamp`[protected]`

| Definition at line 273 of file vtkVideoSource.h.

double vtkVideoSource::FrameTimeStamp`[protected]`

| Definition at line 274 of file vtkVideoSource.h.

int vtkVideoSource::AutoAdvance`[protected]`

| Definition at line 276 of file vtkVideoSource.h.

int vtkVideoSource::NumberOfOutputFrames`[protected]`

| Definition at line 277 of file vtkVideoSource.h.

float vtkVideoSource::Opacity`[protected]`

| Definition at line 279 of file vtkVideoSource.h.

int vtkVideoSource::FlipFrames`[protected]`

| Definition at line 282 of file vtkVideoSource.h.

int vtkVideoSource::OutputNeedsInitialization`[protected]`

| Definition at line 285 of file vtkVideoSource.h.

vtkMultiThreader* vtkVideoSource::PlayerThreader`[protected]`

| Definition at line 288 of file vtkVideoSource.h.

int vtkVideoSource::PlayerThreadId`[protected]`

| Definition at line 289 of file vtkVideoSource.h.

vtkCriticalSection* vtkVideoSource::FrameBufferMutex`[protected]`

| Definition at line 293 of file vtkVideoSource.h.

int vtkVideoSource::FrameBufferBitsPerPixel`[protected]`

| Definition at line 297 of file vtkVideoSource.h.

int vtkVideoSource::FrameBufferRowAlignment`[protected]`

| Definition at line 299 of file vtkVideoSource.h.

int vtkVideoSource::FrameBufferExtent[6]`[protected]`

| Definition at line 302 of file vtkVideoSource.h.

int vtkVideoSource::FrameBufferSize`[protected]`

| Definition at line 304 of file vtkVideoSource.h.

int vtkVideoSource::FrameBufferIndex`[protected]`

| Definition at line 305 of file vtkVideoSource.h.

void** vtkVideoSource::FrameBuffer`[protected]`

| Definition at line 306 of file vtkVideoSource.h.

double* vtkVideoSource::FrameBufferTimeStamps`[protected]`

| Definition at line 307 of file vtkVideoSource.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkVideoSource.h